Linuxgraphic.org : Les forums
http://www.linuxgraphic.org/forums/

Message d'erreur à l'ouverture de Gimp 2.8.20
http://www.linuxgraphic.org/forums/viewtopic.php?f=4&t=8234
Page 1 sur 1

Auteur:  patrmich [ 19 Avr 2017, 15:22 ]
Sujet du message:  Message d'erreur à l'ouverture de Gimp 2.8.20

Bonjour,

J'ai récemment fait une mise à jour de Gimp 2.8.14 vers Gimp 2.8.20.

Depuis cette mise à jour, à l'ouverture de Gimp, s'affiche une fenêtre avec le message suivant :
Le point d'entrée de procédure _Zdlpvy est introuvable dans la bibliothèque de liens dynamiques libstdc++-6.dll

Sauriez vous comment corriger cette erreur ?

Merci par avance pour toute réponse.

Patrick

Auteur:  Ofnuts [ 19 Avr 2017, 16:47 ]
Sujet du message:  Re: Message d'erreur à l'ouverture de Gimp 2.8.20

patrmich a écrit:
Bonjour,

J'ai récemment fait une mise à jour de Gimp 2.8.14 vers Gimp 2.8.20.

Depuis cette mise à jour, à l'ouverture de Gimp, s'affiche une fenêtre avec le message suivant :
Le point d'entrée de procédure _Zdlpvy est introuvable dans la bibliothèque de liens dynamiques libstdc++-6.dll

Sauriez vous comment corriger cette erreur ?

Merci par avance pour toute réponse.

Patrick


En général, c'est parce que tu as plusieurs fichiers "libstdc++-6.dll" sur ton système, dont au moins un plus ancien qui prend le pas sur les autres. Donc, rechercher libstdc++-6.dll dans les répertoires listés dans le PATH (et leurs sous répertoires), en commençant par c:\windows\System32. Essayer d'identifier la plus récente (date du fichier, ou taille parce que ces fichiers ont tendances à devenir de plus en plus gros avec les versions successives), et virer les autres (en les renommant, pour pouvoir revenir en arrière) et copie de la plus récente dans c:\windows\System32.

Si tu n'as pas envie de bricoler les fichiers, tu peux essayer de rajouter le sous-répertoire de l'installation de Gimp qui contient ce fichier en tête du PATH (*) (voir un forum Windows pour savoir comment faire).

Auteur:  patrmich [ 20 Avr 2017, 10:32 ]
Sujet du message:  Re: Message d'erreur à l'ouverture de Gimp 2.8.20

Merci pour la réponse.

J'ai trouvé dans mon pc les deux fichiers suivants :
- C:\Program Files\GIMP 2\lib\gimp\2.0\plug-ins\libstdc++-6.dll du 16-03-2015
- C:\Program Files (x86)\GNU\GnuPG\pub\libstdc++-6.dll du 07-10-2013
J'ai renommé le deuxième en libstdc++-6-renomme.dll

Mais lorsque j'ouvre Gimp 2.8.20, le même message d'erreur s'affiche (à 3 reprises, comme précédemment) :
Le point d'entrée de procédure _Zdlpvy est introuvable dans la bibliothèque de liens dynamiques libstdc++-6.dll

Les deux fichiers libstdc++-6.dll sont anciens (2013 et 2015). Or avant l'installation de Gimp 2.8.20 en avril 2017, j'utilisais Gimp 2.8.14, et le message d'erreur ne s'affichait pas.

Merci encore par avance pour toute réponse.

Patrick

Auteur:  Ofnuts [ 20 Avr 2017, 19:28 ]
Sujet du message:  Re: Message d'erreur à l'ouverture de Gimp 2.8.20

patrmich a écrit:
Merci pour la réponse.

J'ai trouvé dans mon pc les deux fichiers suivants :
- C:\Program Files\GIMP 2\lib\gimp\2.0\plug-ins\libstdc++-6.dll du 16-03-2015
- C:\Program Files (x86)\GNU\GnuPG\pub\libstdc++-6.dll du 07-10-2013
J'ai renommé le deuxième en libstdc++-6-renomme.dll

Mais lorsque j'ouvre Gimp 2.8.20, le même message d'erreur s'affiche (à 3 reprises, comme précédemment) :
Le point d'entrée de procédure _Zdlpvy est introuvable dans la bibliothèque de liens dynamiques libstdc++-6.dll

Les deux fichiers libstdc++-6.dll sont anciens (2013 et 2015). Or avant l'installation de Gimp 2.8.20 en avril 2017, j'utilisais Gimp 2.8.14, et le message d'erreur ne s'affichait pas.

Merci encore par avance pour toute réponse.

Patrick


Experience: renommes aussi celui dans C:\Program Files\GIMP 2\lib\gimp\2.0\plug-ins\libstdc++-6.dll . Si tu as toujours la même erreur, c'est qu'il y en a au moins un troisième que tu a loupé. Si ça craque plus fort il n'y en avait que deux. Par contre pour t'assurer que tu n'est pas en train d'utiliser une version de la DLL gardée en mémoire, il faut redémarrer après chaque manœuvre.

Gimp 2.8.14 est sorti en 2014, il assez probable que sa libstdc++-6.dll soit la même que celle que tu as eu avec GnuPG (même soit plus ancienne).

Auteur:  patrmich [ 11 Mai 2017, 17:02 ]
Sujet du message:  Re: Message d'erreur à l'ouverture de Gimp 2.8.20

Merci pour votre aide qui m'a permis de résoudre le problème !

Auteur:  Ofnuts [ 11 Mai 2017, 21:43 ]
Sujet du message:  Re: Message d'erreur à l'ouverture de Gimp 2.8.20

c'était quoi finalement?

Auteur:  Krys22 [ 09 Oct 2017, 09:55 ]
Sujet du message:  Re: Message d'erreur à l'ouverture de Gimp 2.8.20

Bonjour à tous,

Après quelques jours de recherche et la même erreur que Patrick, j'ai renommé 2 des 3 fichiers trouvés et l'erreur était toujours là.

J'ai ensuite renommé aussi le 3ème qui était dans C:\Program Files\GIMP 2\lib\gimp\2.0\plug-ins\libstdc++-6.dll et là .... plus d'erreur. Il doit y en avoir un autre caché car, pour moi, j'ai tout renommé.

En tous cas, un grand merci pour avoir résolu mon problème

Page 1 sur 1 Heures au format UTC + 1 heure [ Heure d’été ]
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/